## jack-tools 20131226

=== Makefile ===
prefix=$(HOME)/opt
bin=jack-dl jack-osc jack-play jack-plumbing jack-record jack-scope jack-transport jack-udp

CFLAGS=-Wall -D_POSIX_C_SOURCE=200112 -std=c99 -O3 -g
LDLIBS=c-common/lib-c-common.a -ljack -lpthread -lm

all: $(bin)

jack-transport: jack-transport.c
	gcc $(CFLAGS) -o jack-transport jack-transport.c $(LDLIBS) -lcurses

jack-dl: jack-dl.c
	gcc $(CFLAGS) -o jack-dl jack-dl.c $(LDLIBS) -ldl -llo

jack-play: jack-play.c
	gcc $(CFLAGS) -o jack-play jack-play.c $(LDLIBS) -lsndfile -lsamplerate

jack-record: jack-record.c
	gcc $(CFLAGS) -o jack-record jack-record.c $(LDLIBS) -lsndfile

jack-scope: jack-scope.c
	gcc $(CFLAGS) -o jack-scope jack-scope.c $(LDLIBS) -lX11 -lXext

clean:
	rm -f $(bin) *.o

install:
	cp $(bin) $(prefix)/bin
	cp jack-dl.h $(prefix)/include

uninstall:
	(cd $(prefix)/bin ; rm -f $(bin))

ln-local-c-common:
	rm -f c-common
	ln -s $(HOME)/sw/c-common c-common

mk-local-c-common:
	(cd c-common ; make)

=== c-common/Makefile ===
prefix = $(HOME)/opt
obj =	alsa-seq-endpoint.o \
	alsa-seq-listener.o \
	alsa-seq-print.o \
	alsa-seq-send.o \
	bessel.o \
	byte-order.o \
	cfile.o \
	client.o \
	clip.o \
	cq.o \
	file.o \
	gen-trapezoid.o \
	gl-cube.o \
	gl-sphere.o \
	glu-screen-capture.o \
	img.o \
	img-ppm.o \
	jack-client.o \
	jack-port.o \
	jack-ringbuffer.o \
	jack-transport.o \
	memory.o \
	network.o \
	observe-signal.o \
	osc.o \
	plane.o \
	quantize.o \
	rand.o \
	rgba.o \
	segment-transfer.o \
	signal-clip.o \
	signal-copy.o \
	signal-interleave.o \
	signal-interpolate.o \
	signal-print.o \
	sound-file.o \
	taus88.o \
	time-current.o \
	time-ntp.o \
	time-timespec.o \
	time-timeval.o \
	trace.o \
	vector.o \
	window.o \
	ximg.o \
	xregcomp.o

%.o : %.c %.h
	gcc -Wall -O2 -c $*.c

all: $(obj)
	ar -rcs lib-c-common.a $(obj)

clean:
	rm -f *.o *.a

install:
	cp lib-c-common.a $(prefix)/lib
	mkdir -p $(prefix)/include/c-common
	cp *.h $(prefix)/include/c-common

uninstall:
	rm -f $(prefix)/lib/lib-c-common.a
	rm -Rf $(prefix)/include/c-common

=== help/Makefile ===
sin:
	gcc -shared -I ~/opt/include sin.c -o sin.so

clean:
	rm -f *.so

## jack-tools 0.0.2

=== debian/changelog ===
jack-tools (0.0.2-7) unstable; urgency=low

  * QA upload.
  * Switch to "3.0 (quilt)" with multiple orig tarballs. Closes: #485169
  * Switch main tarball to bz2 compression to avoid useless change of upstream
    version (it's empty anyway now).
  * Update build-depends to use libjack-dev instead of libjack0.100.0-dev.
    Closes: #527431

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 05 Nov 2009 17:39:09 +0100

jack-tools (0.0.2-6) unstable; urgency=low

  * QA upload.
  * Update x-dev build-dep to x11proto-core-dev. (Closes: #515447).
  * Add ${misc:Depends} for debhelper package.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 29 Apr 2009 14:04:12 -0400

jack-tools (0.0.2-5) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs.
  * Fix bashisms in debian/rules. (Closes: #459088).
    + Thanks to Luca Falavigna.
  * Update homepage URL to point to the author's new site. (Closes: #384701).
  * Fix typo in package description. (Closes: #363984).
    + Thanks to Simon Waters.
  * Remove unversioned build-dep on automake. (Closes: #398505).
  * Add Copyright holder to debian/copyright.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.7.3.

 -- Barry deFreese <bddebian@comcast.net>  Fri, 07 Mar 2008 19:15:38 -0500

jack-tools (0.0.2-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/install: Really install all advertised binaries. (closes: 357852)
    Thanks Alban Peignier <alban.peignier@free.fr> for the patch.
  * Fix changelog lintian warning + old copyright fsf address.

 -- maximilian attems <maks@sternwelten.at>  Fri, 29 Sep 2006 23:31:15 +0200

jack-tools (0.0.2-4) unstable; urgency=low

  * acknowledge 0.0.2-3.1 NMU; thanks Steinar; closes: Bug#346697
  * fix pidof path; closes: Bug#307245 (jack-tools: jack.ctl has 
    incorrect path for /bin/pidof)

 -- Robert Jordens <jordens@debian.org>  Sat,  4 Mar 2006 14:41:33 +0100

jack-tools (0.0.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #346697)
  * Insert extra spaces at the end of some shell script lines in debian/rules,
    to satisfy newer versions of GNU make.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 23 Jan 2006 01:11:17 +0100

jack-tools (0.0.2-3) unstable; urgency=low

  * rebuild against jack 0.100.0; closes: Bug#317170: libjack0.80.0-0 removed
    from unstable; rebuild required

 -- Robert Jordens <jordens@debian.org>  Sat,  2 Jul 2005 15:06:57 +0200

jack-tools (0.0.2-2) unstable; urgency=low

  * rebuild using the correct libjack, closes: Bug#241275

 -- Robert Jordens <jordens@debian.org>  Thu, 1 Apr 2004 00:14:58 +0200

jack-tools (0.0.2-1) unstable; urgency=low

  * new upstream versions

 -- Robert Jordens <jordens@debian.org>  Tue, 23 Mar 2004 22:47:11 +0100

jack-tools (0.0.1-1) unstable; urgency=low

  * Initial Release; closes: Bug#229515
  * tweaked cdbs a lot to build stuff in mutliple directories

 -- Robert Jordens <jordens@debian.org>  Tue, 20 Jan 2004 21:28:36 +0100

=== debian/control ===
Source: jack-tools
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>> 5.0.0), cdbs, quilt, bzip2, dh-buildinfo, autoconf (>= 2.52), automake1.7, libtool, m4, flex, libjack-dev, libsndfile1-dev, libxext-dev, libxt-dev, x11proto-core-dev
Standards-Version: 3.8.1
Homepage: http://slavepianos.org/rd/f/207983/

Package: jack-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, jackd (>= 0.94.0)
Description: various JACK tools: plumbing, play, udp, ctl, scope, clock
 This collection contains a bunch of small tools for JACK written by Rohan
 Drape for the JACK low latency audio API.
 .
 JACK allows the connection of multiple applications to an audio device, 
 as well as allowing them to share audio between themselves.
 .
 jack.plumbing maintains a set of port connection rules and
 manages these as clients register ports with JACK. Port names are
 implicitly bounded regular expressions and support sub-expression
 patterns.
 .
 jack.play is a light-weight JACK sound file player. It
 creates as many output ports as there are channels in the input file.
 .
 jack.udp is a UDP audio transport mechanism for JACK.  The
 send mode reads signals from a set of JACK input ports and sends
 UDP packets to the indicated port at the indicated host at a rate
 determined by the local JACK daemon.  The "recv" mode reads
 incoming packets at the indicated port and writes the incoming data to
 a set of JACK output ports at a rate that is determined by the local
 JACK daemon.
 .
 jack.ctl is a JACK session manager.  It reads configuration information 
 from a system wide and a user specific configuration file and 
 manages sessions involving the JACK daemon proper and optionally a 
 set of secondary jack daemons.
 .
 jack.scope draws either a time domain signal trace or a self
 correlation trace.  Multiple input channels are superimposed, each
 channel is drawn in a different color. jack.scope accepts
 OSC packets for interactive control of drawing parameters.
 .
 jack.clock publishes the transport state of the local JACK server as OSC
 packets over a UDP connection. jack.clock allows any OSC enabled 
 application to act as a JACK transport client, receiving 
 sample accurate pulse stream timing data, and monitoring and 
 initiating transport state change.

=== debian/rules ===
#!/usr/bin/make -f
# rules
#
# Robert Jordens <jordens@debian.org>
#
# This software may be used and distributed according to the terms
# of the GNU General Public License, incorporated herein by reference.

include /usr/share/cdbs/1/class/langcore.mk
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed 's/-[^-]*//')

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_INSTALL_CHANGELOGS_ALL =
DEB_INSTALL_DOCS_ALL =

common-binary-post-install-arch::
	dh_buildinfo

# This is a cheap hack to make cdbs use all the tarballs' configure
post-patches:: debian/stamp-autotools-maintregen-arch
debian/stamp-autotools-maintregen-arch:
	-@set -e -v; confs=sw*/autogen.sh;\
	for conf in $$confs; do \
	cd `dirname $$conf`; sh `basename $$conf`; cd $(CURDIR);\
	done && touch debian/stamp-autotools-maintregen-arch

common-configure-arch:: debian/stamp-configure-dirs
debian/stamp-configure-dirs:
	-@set -e -v; confs=sw*/configure;\
	for conf in $$confs; do \
	cd `dirname $$conf`;\
	./`basename $$conf` $(DEB_CONFIGURE_NORMAL_ARGS) --disable-maintainer-mode $(cdbs_configure_flags) $(DEB_CONFIGURE_EXTRA_FLAGS) $(DEB_CONFIGURE_USER_FLAGS);\
	cd $(CURDIR);\
	done && touch debian/stamp-configure-dirs

common-build-arch:: debian/stamp-build-dirs
debian/stamp-build-dirs:
	-@set -e -v; confs=sw*/Makefile;\
	for conf in $$confs; do \
	cd `dirname $$conf`;\
	make $(DEB_MAKE_BUILD_TARGET);\
	cd $(CURDIR);\
	done && touch debian/stamp-build-dirs

common-install-arch:: debian/stamp-install-dirs
debian/stamp-install-dirs:
	-@set -e -v; confs=sw*/Makefile;\
	for conf in $$confs; do \
	cd `dirname $$conf`;\
	make $(DEB_MAKE_INSTALL_TARGET);\
	cd $(CURDIR);\
	done && touch debian/stamp-install-dirs

.PHONY: create-orig-tarball
create-orig-tarball:
	mkdir -p tmp-orig-tree/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig
	tar -C tmp-orig-tree -cjvf \
		../$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.bz2 \
		$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig

clean::
	-@set -e -v; confs=sw*/Makefile;\
	for conf in $$confs; do \
	cd `dirname $$conf`;\
	make maintainer-clean-generic distclean;\
	cd $(CURDIR);\
	done
	rm -f sw29/config.h.in
	-rm debian/stamp-configure-dirs debian/stamp-build-dirs \
	debian/stamp-install-dirs debian/stamp-autotools-maintregen-arch

## jack-tools 20101210

=== debian/changelog ===
jack-tools (20101210-2) unstable; urgency=low

  * Team upload.
  * ACK NMU.

  [ IOhannes m zmölnig ]
  * Fix improper use of fprintf (Closes: #643413)
  * Added myself as copyright-holder in debian/
  * Updated homepage field

  [ Adrian Knoth ]
  * Mark patch for #643413 as forwarded

  [ Alessio Treglia ]
  * Fix FTBFS with ld --as-needed.
    Thanks to Leo Iannacone <l3on@ubuntu.com> (Closes: #655216)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 20:00:23 +0100

jack-tools (20101210-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: jack.dl.c:20:3: error: format not a string literal and
    no format arguments [-Werror=format-security]": add patch
    fix-format-security.patch from Mònica Ramírez Arceda.
    (Closes: #643413)

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Nov 2011 13:47:54 +0100

jack-tools (20101210-1) unstable; urgency=low

  * New snapshot of upstream Darcs repository.
  * Update copyright file: Rewrite using Subversion draft rev.173 of
    DEP5.
  * Add linkage of libdl and libm to LDFLAGS.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2011 13:20:36 +0100

jack-tools (20100210-1) experimental; urgency=low

  [ Arnout Engelen ]
  * Friendly takeover: Move packaging to Debian Multimedia Maintainers.
    Closes: bug#469929.
  * Rewrite packaging mostly from scratch (also due to structural
    changes upstream).
  * Switch to git for sources.
  * Add build target get-orig-source to fetch latest version from Darcs.

  [ Jonas Smedegaard ]
  * Generate manpages more reliably using a2x (not directly with
    asciidoc).
    Build-depend on libxml2-utils and docbook-xml.
  * Rewrite packaging to use CDBS (not short-form dh).
  * Avoid shipping header file.
  * Fix install jack.dl.1 in correct path.
  * Relax debhelper compat level to 6: No newer features required so
    better to ease backportability.
  * Relax build-dependency on debhelper to match compat level.
  * Build-depend on libsamplerate-dev, liblo-dev and libncurses-dev:
    Required by new upstream release.
  * Rewrite long description to mention upstream project name, and note
    that jack.udp is obsolete.
  * Rewrite copyright file using Bazaar draft rev. 137 of DEP5.
  * Add myself as uploader.
  * Relax dependency on jackd to be unversioned.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jan 2011 06:52:26 +0100

=== debian/control ===
Source: jack-tools
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Arnout Engelen <arnouten@bzzt.net>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 libtool,
 automake1.10,
 autoconf,
 debhelper (>= 6),
 bzip2,
 flex,
 libjack-dev,
 libsndfile1-dev,
 libsamplerate-dev,
 liblo-dev,
 libncurses-dev,
 libxext-dev,
 libxt-dev,
 asciidoc,
 xsltproc,
 libxml2-utils,
 docbook-xml,
 docbook-xsl
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jack-tools.git
Vcs-Git: git://git.debian.org/pkg-multimedia/jack-tools.git
Homepage: http://slavepianos.org/rd/?t=rju

Package: jack-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, jackd
Description: various JACK tools: dl, record, scope, osc, plumbing, udp, play, transport
 jack.* is a collection of small tools for the JACK Audio Connection
 Kit.
 .
 JACK allows the connection of multiple applications to an audio device,
 as well as allowing them to share audio between themselves.
 .
 jack.dl loads dsp algorithms from shared libraries.  Commands are sent
 as OSC packets over a UDP connection.
 .
 jack.record is a light-weight JACK capture client to write an arbitrary
 number of channels to disk.
 .
 jack.scope draws either a time domain signal trace or a self
 correlation trace.  Multiple input channels are superimposed, each
 channel is drawn in a different color.  jack.scope accepts OSC packets
 for interactive control of drawing parameters.
 .
 jack.osc publishes the transport state of the local JACK server as OSC
 packets over a UDP connection.  jack.osc allows any OSC enabled
 application to act as a JACK transport client, receiving sample
 accurate pulse stream timing data, and monitoring and initiating
 transport state change.
 .
 jack.plumbing maintains a set of port connection rules and manages
 these as clients register ports with JACK.  Port names are implicitly
 bounded regular expressions and support sub-expression patterns.
 .
 jack.udp is a UDP audio transport mechanism for JACK.  jack.udp is
 obsolete: use net driver instead.
 .
 jack.play is a light-weight JACK sound file player. It creates as many
 output ports as there are channels in the input file.
 .
 jack.transport is a JACK session manager.  It reads configuration
 information from a system wide and a user specific configuration file
 and manages sessions involving the JACK daemon proper and optionally a
 set of secondary jack daemons.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010 Arnout Engelen <arnouten@bzzt.net>
# Copyright © 2010-2011, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for jack.*
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_ACLOCAL = 1.10
DEB_AUTO_UPDATE_AUTOCONF = 2.60
DEB_AUTO_UPDATE_AUTOMAKE = 1.10
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

# Suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

# bootstrap autotools files (CDBS by default only update, not create)
DEB_MAKE_CLEAN_TARGET = distclean
DEB_AUTOMAKE_ARGS = --add-missing --copy --foreign
pre-build::
	touch aclocal.m4
clean::
	rm -f Makefile.in common/Makefile.in
	rm -f configure
	rm -f aclocal.m4
	rm -rf config

# avoid shipping header file for now
install/jack-tools::
	rm -rf $(cdbs_curdestdir)/usr/include

# dh_installman installs jack.dl.1 in wrong path
binary-post-install/jack-tools::
	mv $(cdbs_curdestdir)/usr/share/man/dl/man1/jack.1 $(cdbs_curdestdir)/usr/share/man/man1/jack.dl.1
	rmdir $(cdbs_curdestdir)/usr/share/man/dl/man1 $(cdbs_curdestdir)/usr/share/man/dl

# looks like manpages aren't covered by upstream build rules
# so we handle it ourselves
build/jack-tools::
	find -maxdepth 1 -type f -name '*.text' -exec a2x -f manpage '{}' ';'
clean::
	rm -f *.1

TARBALL = $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
get-orig-source:
	rm -rf get-orig-source '$(TARBALL)'
	mkdir get-orig-source
	darcs get 'http://www.slavepianos.org/rd/sw/jack.*' 'get-orig-source/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig'
	rm -rf 'get-orig-source/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig/_darcs'
	GZIP='--best --no-name' tar czf '$(TARBALL)' -C get-orig-source '$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig'
	rm -rf get-orig-source
	echo '  "$(TARBALL)" created; now git-import-orig and remove it again.'

## jack-tools 20131226

=== debian/changelog ===
jack-tools (20131226-4) unstable; urgency=medium

  * Team upload
  * Drop unused build-dep on bzip2 & flex
  * Replace CDBS build with short DH sequencer
  * Merge two overlapping Makefile patches with aid of "gbp pq"
  * Enable hardening
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 Oct 2025 11:09:29 +0200

jack-tools (20131226-3) unstable; urgency=medium

  * Team upload
  * Avoid FTBFS with GCC-14 (Closes: #1075097)
  * Remove stale debian/control.in
  * Trim dead code from d/rules

  [ Helmut Grohne ]
  * avoid FTCBFS (Closes: #944635)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Sep 2025 22:07:57 +0200

jack-tools (20131226-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces

  [ Jonas Smedegaard ]
  * remove myelf as uploader

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 11:13:47 +0200

jack-tools (20131226-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper version to 10. (Closes: #965600)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 12 Dec 2022 03:22:18 +0800

jack-tools (20131226-1) unstable; urgency=medium

  * Team upload.

  [ Arnout Engelen ]
  * New upstream version
    - renamed tools from 'jack.*' to 'jack-*'
    - bugfixes
    - better documentation
    - no more autoconf
  * Hardening flags
  * Canonical VCS path
  * Remove common object on 'clean'

  [ Alessio Treglia ]
  * Build-depend on libasound2-dev, freeglut3-dev.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 15 Oct 2014 14:54:30 +0100

=== debian/control ===
Source: jack-tools
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Arnout Engelen <arnouten@bzzt.net>,
Build-Depends:
 debhelper-compat (= 13),
 asciidoc,
 docbook-xml,
 docbook-xsl,
 freeglut3-dev,
 libasound2-dev,
 libjack-dev,
 liblo-dev,
 libncurses-dev,
 libsamplerate-dev,
 libsndfile1-dev,
 libtool,
 libxext-dev,
 libxml2-utils,
 libxt-dev,
 xsltproc,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/jack-tools
Vcs-Git: https://salsa.debian.org/multimedia-team/jack-tools.git
Homepage: http://slavepianos.org/rd/?t=rju

Package: jack-tools
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends},
Description: various JACK tools: dl, record, scope, osc, plumbing, udp, play, transport
 jack-tools is a collection of small tools for the JACK Audio Connection
 Kit.
 .
 JACK allows the connection of multiple applications to an audio device,
 as well as allowing them to share audio between themselves.
 .
 jack-dl loads dsp algorithms from shared libraries.  Commands are sent
 as OSC packets over a UDP connection.
 .
 jack-record is a light-weight JACK capture client to write an arbitrary
 number of channels to disk.
 .
 jack-scope draws either a time domain signal trace or a self
 correlation trace.  Multiple input channels are superimposed, each
 channel is drawn in a different color.  jack-scope accepts OSC packets
 for interactive control of drawing parameters.
 .
 jack-osc publishes the transport state of the local JACK server as OSC
 packets over a UDP connection.  jack-osc allows any OSC enabled
 application to act as a JACK transport client, receiving sample
 accurate pulse stream timing data, and monitoring and initiating
 transport state change.
 .
 jack-plumbing maintains a set of port connection rules and manages
 these as clients register ports with JACK.  Port names are implicitly
 bounded regular expressions and support sub-expression patterns.
 .
 jack-udp is a UDP audio transport mechanism for JACK.  jack-udp is
 obsolete: use net driver instead.
 .
 jack-play is a light-weight JACK sound file player. It creates as many
 output ports as there are channels in the input file.
 .
 jack-transport is a JACK session manager.  It reads configuration
 information from a system wide and a user specific configuration file
 and manages sessions involving the JACK daemon proper and optionally a
 set of secondary jack daemons.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010 Arnout Engelen <arnouten@bzzt.net>
# Copyright © 2010-2011, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for jack.*
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:

	dh $@

override_dh_auto_build:
	make CFLAGS="$(CFLAGS) $(CPPFLAGS) -std=c99 -D_POSIX_C_SOURCE=200112 -Wno-incompatible-pointer-types"\
             LDFLAGS="$(LDFLAGS)" \
             mk-local-c-common all
	find -maxdepth 1 -type f -name '*.text' -exec a2x -f manpage '{}' ';'

override_dh_auto_install:

=== debian/watch ===
# jack.* currently does not do any releases, and we can't monitor darcs commits
# from a watch file afaics
